---
updatedAt: 2025-09-23T23:12:23.000Z
agentTools:
  projectIndex: https://dexguru.readme.io/llms.txt
---

# Get Amm Mints

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "DexGuru Public API",
    "description": "<p>To start using DexGuru API, all you need is an API key. Go to <a target=\"_blank\"\n        rel=\"noopener noreferrer\" href=\"https://developers.dex.guru\">\n        developers.dex.guru</a>, connect your web3 wallet, create a project and copy your API key.\n        This API key is all you need to start receiving reliable on-chain trading data on multiple EVM-compatible\n        networks.\n        There are two ways to authorize your API request. Instead of YOUR_API_KEY, use the key you got at developers.dex.guru.<br><br>\n        1. Query Parameter<br>\n        ex: <i>curl https://api.dev.dex.guru/v1/chain/?api-key=YOUR_API_KEY</i><br><br>\n        2. Authorization Header<br>\n        ex: <i>curl https://api.dev.dex.guru/v1/chain/ -H 'api-key: YOUR_API_KEY'</i><br>\n        </p>\n        <p>\n        <span>List of supported networks with the corresponding ChainID:</span>\n        <ul>\n            <li>Ethereum 1</li>\n            <li>BSC 56</li>\n            <li>Polygon 137</li>\n            <li>Avalanche 43114</li>\n            <li>Arbitrum 42161</li>\n            <li>Fantom 250</li>\n            <li>CELO 42220</li>\n            <li>Optimism 10</li>\n            <li>Gnosis 100</li>\n            <li>Canto 7000</li>\n            <li>Arbitrum Nova 42170</li>\n            <li>Arbitrum Nova 42170</li>\n            <li>zkSync Era 324</li>\n            <li>zkEVM 1101</li>\n            <li>KCC 321</li>\n        </ul>\n        </p>\n        <p>Examples of data we provide:</p>\n        <ul>\n            <li>Token Current Price</li>\n            <li>Recent On-Chain Transactions</li>\n            <li>Mints and Burns, a.k.a Liquidity Pool Adds and Removes</li>\n            <li>Wallet Activity</li>\n        </ul>\n        <p>\n            We also provide convenient SDKs for <a href=\"https://www.npmjs.com/package/dexguru-sdk\">Node</a>\n            and <a href=\"https://pypi.org/project/dexguru-sdk/\">Python</a> developers:\n            <br>\n            <i>npm install dexguru-sdk</i>\n            <br><i>pip install dexguru-sdk</i>\n        </p>\n        <p>Github links to SDKs:\n            <br><a href=\"https://github.com/dex-guru/dg-sdk-node\">https://github.com/dex-guru/dg-sdk-node</a>\n            <br><a href=\"https://github.com/dex-guru/dg-sdk-python\">https://github.com/dex-guru/dg-sdk-python</a>\n        </p>\n        <p>Rate limit is 5 concurrent requests per second.</p>\n        <p>While we are in Beta, API is free for personal use. After we are out of Beta,\n        we’ll have a free tier and paid tiers based on API calls usage. Paid tier would require you to stake a certain\n        amount of our upcoming token to get access to real-time data.</p>\n        <h2>RPC Endpoints</h2>\n        <p>RPC Endpoints are proxies to dex.guru hosted blockchain nodes, there are full nodes and archive nodes.<br>\n        to call specific node call:\n         <ul>\n            <li>/chain_id/api-key FULL node</li>\n            <li>/chain_id/archive/api-key ARCHIVE node</li>\n        </ul>\n        RPC functions are limited to read only requests. Account limits applied, by default, free layer - 1M requests.\n        You can use same key, generated at <a href=\"https://developers.dex.guru\">https://developers.dex.guru</a>\n        </p>\n        <h2>Support</h2>\n        <p>Need help with our API or want to provide some feedback? Join our <a href=\"https://discord.gg/dPW8fzwzz9\">\n        Community Discord Server</a> and head to <b>#api-questions</b> channel, where you can chat with fellow\n        builders!</p>\n        <h2>FAQ</h2>\n        <h3><strong>Q: Why can I not access all historical data about a certain token?</strong></h3>\n        <p><strong>A:</strong> For the time being, for every DEX/AMM that is added onto DexGuru, we currently index and\n        display transaction data only from the date/time they are implemented. This means for all transactions (and\n        their TX data) that have occurred before the date of the DEX/AMM implementation date, will not be included in\n        transaction lists, aggregates/counts, and charts that involve the pre-implementation time period.\n        You can find the list of DEXs and when they were added at\n        <a target=\"_blank\" rel=\"noopener noreferrer\" href=\"https://docs.dex.guru/data/supported-dexs-amms\">\n        https://docs.dex.guru/data/supported-dexs-amms</a></p>\n        <h3><strong>Q: How often data is updated? </strong></h3>\n        <p><strong>A:</strong> Currently our API is in beta and there is a 300 seconds delay on all on-chain data.</p>\n        <h3><strong>Q: Am I sending too many requests?</strong></h3>\n        <p><strong>A:</strong> The rate limit is 5 concurrent requests per second.</p>\n        <h3><strong>Q: I only receive 20 transactions in the response. How can I look at older transactions?\n        </strong></h3>\n        <p><strong>A:</strong> Use \"limit\" and \"offset\" query parameters to use pagination.\n        Using the \"offset\" parameter you can specify where to start a page.\n        Using the \"limit\" parameter you can specify the page size.</p>\n        <h2>Some parameters can be unclear. Below are their descriptions.</h2>\n        <p><strong>chain_id -</strong> You can look up chainID for any EVM powered network by going to\n        <a target=\"_blank\" rel=\"noopener noreferrer\" href=\"https://chainlist.org/\">https://chainlist.org/</a>.</p>\n        <p><strong>verified -</strong> We use Token Lists to identify verified tokens. A token is considered verified\n        if present in at least one Token List. For ERC-20 tokens we use <a target=\"_blank\" rel=\"noopener noreferrer\"\n        href=\"https://tokenlists.org/\">https://tokenlists.org/</a>. For more info go to <a target=\"_blank\"\n        rel=\"noopener noreferrer\" href=\"https://docs.dex.guru/data/off-chain-data-usage#usage-of-token-lists\">\n        https://docs.dex.guru/data/off-chain-data-usage#usage-of-token-lists</a>.</p>\n        <p><strong>limit -</strong> This is a parameter used for pagination. Use it to specify the page size. Learn\n        more about pagination <a target=\"_blank\" rel=\"noopener noreferrer\"\n        href=\"https://developer.digitalchalk.com/document/rest-api-v5/limit-and-offset/\">here</a></p>\n        <p><strong>offset -</strong> This is a parameter used for pagination. Use it to specify where to start a page.\n        Learn more about pagination <a target=\"_blank\" rel=\"noopener noreferrer\"\n        href=\"https://developer.digitalchalk.com/document/rest-api-v5/limit-and-offset/\">here</a>.</p>\n        <p><strong>wallet category -</strong></p>\n        <ul>\n            <li><strong>heavy -</strong> Heavy Trader with $500k+ of a trading volume in the last 30 days.</li>\n            <li><strong>medium -</strong> Active Trader with $100k-$500k of a trading volume in the last 30 days.</li>\n            <li><strong>casual -</strong> Casual Trader with $10k-$100k of a trading volume in the last 30 days.</li>\n            <li><strong>bot -</strong> Trader with 1000+ TXs in the last 30 days. Most likely a bot.</li>\n            <li><strong>noob -</strong> All other wallet addresses.</li>\n        </ul>",
    "version": "1.1.2",
    "x-logo": {
      "url": "https://pbs.twimg.com/profile_images/1311323925545062402/lQGCxH5M_400x400.jpg"
    }
  },
  "servers": [
    {
      "url": "https://api.dev.dex.guru"
    }
  ],
  "paths": {
    "/v1/chain/{chain_id}/amms/{amm}/mints": {
      "get": {
        "tags": [
          "Amm Transactions"
        ],
        "summary": "Get Amm Mints",
        "operationId": "get_amm_mints_v1_chain__chain_id__amms__amm__mints_get",
        "parameters": [
          {
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/ChainChoices"
            },
            "name": "chain_id",
            "in": "path"
          },
          {
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/AmmChoices"
            },
            "name": "amm",
            "in": "path"
          },
          {
            "description": "Mints with token_address",
            "required": false,
            "schema": {
              "title": "Token Address",
              "type": "string",
              "description": "Mints with token_address"
            },
            "name": "token_address",
            "in": "query"
          },
          {
            "description": "Field to sort by",
            "required": false,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields"
                }
              ],
              "description": "Field to sort by",
              "default": "timestamp"
            },
            "name": "sort_by",
            "in": "query"
          },
          {
            "description": "Sorting order",
            "required": false,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/OrderChoices"
                }
              ],
              "description": "Sorting order",
              "default": "desc"
            },
            "name": "order",
            "in": "query"
          },
          {
            "description": "Limit records. Max 10000",
            "required": false,
            "schema": {
              "title": "Limit",
              "type": "integer",
              "description": "Limit records. Max 10000",
              "default": 10
            },
            "name": "limit",
            "in": "query"
          },
          {
            "description": "Offset records. Max 50000",
            "required": false,
            "schema": {
              "title": "Offset",
              "type": "integer",
              "description": "Offset records. Max 50000",
              "default": 0
            },
            "name": "offset",
            "in": "query"
          },
          {
            "description": "Mints from begin_timestamp",
            "required": false,
            "schema": {
              "title": "Begin Timestamp",
              "type": "integer",
              "description": "Mints from begin_timestamp",
              "default": 1588723228
            },
            "name": "begin_timestamp",
            "in": "query"
          },
          {
            "description": "Mints to end_timestamp",
            "required": false,
            "schema": {
              "title": "End Timestamp",
              "type": "integer",
              "description": "Mints to end_timestamp"
            },
            "name": "end_timestamp",
            "in": "query"
          },
          {
            "description": "Search after cursor. Pass here value of last `search_after` in previous response",
            "required": false,
            "schema": {
              "title": "Search After",
              "type": "string",
              "description": "Search after cursor. Pass here value of last `search_after` in previous response"
            },
            "name": "search_after",
            "in": "query"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/RestSwapsBurnsMintsListModel"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        },
        "security": [
          {
            "APIKeyDepends": []
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "AmmChoices": {
        "title": "AmmChoices",
        "enum": [
          "uniswap",
          "all",
          "uniswap_v3",
          "sushiswap",
          "pancakeswap",
          "quickswap",
          "pangolin",
          "traderjoe",
          "ubeswap",
          "spookyswap",
          "spiritswap",
          "kyber",
          "lydia",
          "impossible_finance",
          "cryptocom",
          "firebid_finance",
          "elk_finance",
          "canary",
          "empiredex",
          "yetiswap",
          "baguette",
          "zoodex",
          "jetswap",
          "soulswap",
          "paintswap",
          "hyperswap",
          "morpheusswap",
          "wakaswap",
          "yoshi_exchange",
          "dfyn",
          "waultswap",
          "polydex",
          "cafeswap",
          "alitaswap",
          "apeswap",
          "cheeseswap",
          "julswap",
          "babyswap",
          "safeswap",
          "swapr",
          "pancakeswap_v1",
          "standard",
          "polycat",
          "biswap",
          "yieldfields",
          "unitedfarmers",
          "gravity_finance",
          "shibaswap",
          "sheepdex",
          "zipswap",
          "bakeryswap",
          "solidly",
          "curve",
          "1inch",
          "tomb_finance",
          "ellipsis",
          "bancor_v2",
          "dodo",
          "velodrome",
          "knightswap",
          "mdex",
          "meshswap",
          "comethswap",
          "safemoon",
          "fraxswap",
          "stepn",
          "fstswap",
          "pandora",
          "nomiswap",
          "planet",
          "jfswap",
          "titano",
          "orbitalswap",
          "wigoswap",
          "swapsicle",
          "dystopia",
          "sushiswap_bento",
          "impossible_finance_v3",
          "saddle",
          "balancer",
          "honeyswap",
          "baoswap",
          "levin_swap",
          "platypus",
          "beethoven",
          "babydogeswap",
          "radioshack",
          "CantoSwap",
          "padswap",
          "kyberswap_elastic",
          "dodo_v2",
          "wombat",
          "SwapFish",
          "verse",
          "WardenSwap",
          "thena",
          "osmosis",
          "Arbswap",
          "Slingshot",
          "Forte",
          "voltswap",
          "equalizer",
          "solid_lizard",
          "3xcalibur",
          "spartacus",
          "velocimeter",
          "zyberswap v2",
          "mute",
          "mojitoswap",
          "melegaswap",
          "pancakeswap_v3",
          "zkMoonSwap",
          "antfarm",
          "doveswap_v3",
          "leetswap",
          "quickswap_v3",
          "sushiswap_v3",
          "thenafusion",
          "traderjoe_v2_1",
          "camelot_v2",
          "camelot_v3",
          "zyberswap_v3",
          "spiritswap_v2",
          "chronos",
          "smardex",
          "spacefi",
          "dooar",
          "arbitrum_exchage",
          "biswap_v3",
          "rocketswap",
          "cbswap",
          "baseswap",
          "horizondex",
          "swapbased",
          "synthswap"
        ],
        "type": "string",
        "description": "An enumeration."
      },
      "ChainChoices": {
        "title": "ChainChoices",
        "enum": [
          1,
          10,
          56,
          137,
          250,
          42161,
          42220,
          43114,
          100,
          7700,
          141,
          42170,
          82,
          324,
          321,
          1101,
          8453
        ],
        "type": "integer",
        "description": "An enumeration."
      },
      "HTTPValidationError": {
        "title": "HTTPValidationError",
        "type": "object",
        "properties": {
          "detail": {
            "title": "Detail",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ValidationError"
            }
          }
        }
      },
      "OrderChoices": {
        "title": "OrderChoices",
        "enum": [
          "asc",
          "desc"
        ],
        "type": "string",
        "description": "An enumeration."
      },
      "RestSwapBurnMintModel": {
        "title": "RestSwapBurnMintModel",
        "required": [
          "amm",
          "chain_id",
          "transaction_address",
          "timestamp",
          "block_number",
          "amount_usd",
          "tokens_in",
          "tokens_out",
          "wallet_address",
          "transaction_type"
        ],
        "type": "object",
        "properties": {
          "amm": {
            "title": "Amm",
            "type": "string"
          },
          "chain_id": {
            "title": "Chain Id",
            "type": "string"
          },
          "direction": {
            "$ref": "#/components/schemas/TokenTradeDirections"
          },
          "transaction_address": {
            "title": "Transaction Address",
            "type": "string"
          },
          "timestamp": {
            "title": "Timestamp",
            "type": "integer"
          },
          "block_number": {
            "title": "Block Number",
            "type": "integer"
          },
          "to": {
            "title": "To",
            "type": "string"
          },
          "sender": {
            "title": "Sender",
            "type": "string"
          },
          "amount_usd": {
            "title": "Amount Usd",
            "type": "number"
          },
          "tokens_in": {
            "title": "Tokens In",
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "tokens_out": {
            "title": "Tokens Out",
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "pair_address": {
            "title": "Pair Address",
            "type": "string"
          },
          "wallet_address": {
            "title": "Wallet Address",
            "type": "string"
          },
          "wallet_category": {
            "title": "Wallet Category",
            "type": "string"
          },
          "transaction_type": {
            "$ref": "#/components/schemas/TransactionChoices"
          }
        }
      },
      "RestSwapsBurnsMintsListModel": {
        "title": "RestSwapsBurnsMintsListModel",
        "required": [
          "total",
          "data"
        ],
        "type": "object",
        "properties": {
          "total": {
            "title": "Total",
            "type": "integer"
          },
          "search_after": {
            "title": "Search After",
            "type": "string"
          },
          "data": {
            "title": "Data",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/RestSwapBurnMintModel"
            }
          }
        }
      },
      "TokenTradeDirections": {
        "title": "TokenTradeDirections",
        "enum": [
          "in",
          "out"
        ],
        "type": "string",
        "description": "An enumeration."
      },
      "TransactionChoices": {
        "title": "TransactionChoices",
        "enum": [
          "swap",
          "burn",
          "mint",
          "transfer"
        ],
        "type": "string",
        "description": "An enumeration."
      },
      "ValidationError": {
        "title": "ValidationError",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "type": "object",
        "properties": {
          "loc": {
            "title": "Location",
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "msg": {
            "title": "Message",
            "type": "string"
          },
          "type": {
            "title": "Error Type",
            "type": "string"
          }
        }
      },
      "api_public__models_api__rest_swaps_burns_mints__RestSwapBurnMintModel__SortFields": {
        "title": "SortFields",
        "enum": [
          "transaction_address",
          "timestamp",
          "block_number",
          "to",
          "sender",
          "amount_usd",
          "pair_address",
          "wallet_address"
        ],
        "type": "string",
        "description": "An enumeration."
      }
    },
    "securitySchemes": {
      "APIKeyDepends": {
        "type": "apiKey",
        "description": "<p>We currently support requests over HTTP and HTTPS.<br>\n        There are two ways to authorize your API request. Instead of YOUR_API_KEY, use the key you got at developers.dex.guru.<br><br>\n        1. Query Parameter<br>\n        ex:<br>\n        curl https://api.dev.dex.guru/v1/chain/?api-key=YOUR_API_KEY<br><br>\n        2. Authorization Header<br>\n        ex:<br>\n        curl https://api.dev.dex.guru/v1/chain/ -H 'api-key: YOUR_API_KEY'<br>\n        </p>",
        "in": "header",
        "name": "api-key"
      }
    }
  },
  "tags": [
    {
      "name": "Amm Transactions",
      "description": "<ul>\n                        <li><strong>Get Amms Swaps</strong> - returns swaps across all the different\n                            <a href=\"https://docs.dex.guru/data/supported-dexs-amms\" target=\"_blank\"\n                            rel=\"noopener noreferrer\">AMMs/DEXs</a> that we support for the given chain.</li>\n                        <li><strong>Get Amms Burns</strong> - returns burns(liquidity pools removes) across all the\n                            different <a href=\"https://docs.dex.guru/data/supported-dexs-amms\" target=\"_blank\"\n                            rel=\"noopener noreferrer\">AMMs/DEXs</a> that we support for the given chain.</li>\n                        <li><strong>Get Amms Mints</strong> - returns mints(liquidity pools adds) across all the\n                            different <a href=\"https://docs.dex.guru/data/supported-dexs-amms\" target=\"_blank\"\n                            rel=\"noopener noreferrer\">AMMs/DEXs</a> that we support for the given chain.</li>\n                        <li><strong>Get Amm Swaps</strong> - returns swaps that happened on a certain\n                            <a href=\"https://docs.dex.guru/data/supported-dexs-amms\" target=\"_blank\"\n                            rel=\"noopener noreferrer\">AMM or DEX</a>.</li>\n                        <li><strong>Get Amm Burns</strong> - returns burns(liquidity pools removes) that happened on a\n                            certain <a href=\"https://docs.dex.guru/data/supported-dexs-amms\" target=\"_blank\"\n                            rel=\"noopener noreferrer\">AMM or DEX</a>.</li>\n                        <li><strong>Get Amm Mints</strong> - returns mints(liquidity pools adds) that happened on a\n                            certain <a href=\"https://docs.dex.guru/data/supported-dexs-amms\" target=\"_blank\"\n                            rel=\"noopener noreferrer\">AMM or DEX</a>.</li>\n                    </ul>\n                "
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```